#ifndef GLOBAL_H
#define GLOBAL_H

#include <QString>
#include <QSettings>

extern QSettings settings;
extern QString out_folder;
extern bool same_folder_flag;
extern const int version_build;
extern const QString version_string;
extern QString opened_list;

bool isJpegSuffix(const QString & suffix);
void startBlockingProcess(const QString &program, const QString & exec);
void copyExif(const QString & sourceImagePath, const QString & destImagePath);

#endif // GLOBAL_H
